import isURL from 'is-url';
export const rogImages = ($, url) => {
    const urls = [];
    $('img').each((index, img) => {
        const src = $(img).attr('src');
        if (src && isURL(src)) {
            urls.push(src);
        }
        else if (src?.startsWith('data:')) {
            urls.push(src);
        }
        else if (src) {
            urls.push(new URL(src, url).toString());
        }
    });
    return urls;
};
//# sourceMappingURL=index.js.map